MKFS.CRAMFS(8)

NAMN
mkfs.cramfs - skapa komprimerat ROM-filsystem

SYNOPSIS

mkfs.cramfs [flaggor] katalogfil

BESKRIVNING

Filer på cramfs-filsystem zlib-komprimeras en sida i taget för att möjliggöra slumpmässig läsåtkomst. Metadata komprimeras inte, men uttrycks i en kortfattad representation som är mer utrymmeseffektiv än konventionella filsystem.

Filsystemet är avsiktligt skrivskyddat för att förenkla dess design; slumpmässig skrivåtkomst för komprimerade filer är svår att implementera. cramfs levereras med ett verktyg (mkcramfs(8)) för att packa filer till nya cramfs-bilder.

Filstorleken är begränsad till mindre än 16 MB.

Filsystemets maximala storlek är knappt 272 MB. (Den sista filen i filsystemet måste börja före 256 MB-blocket, men kan sträcka sig längre än så)

ARGUMENT

katalog är helt enkelt roten till det katalogträd som vi vill generera ett komprimerat filsystem från.

Filen fil kommer att innehålla filsystemet cram, som senare kan monteras.

FLAGGOR

-v
    Aktivera utförliga meddelanden.

-E
    Behandla alla varningar som fel, vilket återspeglas i kommandots avslutningsstatus.

-b blocksize
    Använd definierad blockstorlek, som måste vara delbar med sidstorleken.

-e edition
    Använd definierat filsystemets upplaganummer i superblock.

-N big|little|host
    Use the specified endianness. The default is host.

-i fil
    Infoga en fil till cramfs filsystem.

-n namn
    Ange namn på filsystemet cramfs.

-p
    Fyll på med 512 byte för startkod.

-s
    Denna flagga ignoreras. Ursprungligen aktiverade -s sortering av katalogposter.

-z
    Gör tydliga hål.

-l[=läge]
    Use an exclusive BSD lock for the device or file that is operated upon. The optional argument mode can be yes (1), no (0), or nonblock. If the mode argument is omitted, it defaults to yes. This option overrides the environment variable $LOCK_BLOCK_DEVICE. The default is to not use any lock at all, but using a lock is recommended to avoid collisions with systemd-udevd(8) or other tools.

-h, --help
    Visa hjälptext och avsluta.

-V, --version
    Visa version och avsluta.

AVSLUTSSTATUS

0
    lyckades

8
    driftfel, till exempel att det inte går att allokera minne

SE ÄVEN

fsck.cramfs(8), mount(8)

FELRAPPORTERING

För felrapporter, använd

TILLGÄNGLIGHET

Kommandot mkfs.cramfs ingår i paketet util-linux som kan hämtas från